Subject: Re: Question about submodules and absolute paths

From: Johannes Sixt <[email-masked]>
Date: Wed, 23 May 2012 07:36:14 +0200

Am 5/22/2012 21:18, schrieb Alexey Pelykh:
> Not on two machines, on single machine but with two OSes
> Windows + Linux + shared 'work' partition :) So both Windows and Linux
> use same repo clone that is stored on a 'work' partition. But due to
> those absolute paths, it gives '/cygdrive/d/work' on windows and
> '/media/work' on linux. Thus I have to keep 2 copies of each
> repository that uses submodules (and that is very inconvenient :( )

I think you cannot share the index file between OSes. Even though its file
format should be portable, the contents (stat information) is not
portable. After you boot into a different OS, you need at least a 'git
status' call to populate the index with the stat data from the new OS.

-- Hannes